{% extends 'shared/_dashboard.html' %}
{% load static %}
{% load widget_tweaks %}


{% block body %}
<div class="container-fluid">
    <div class="row">
        <div class="col-12">
            <div class="mb-2">
                <h1>Hi {{ request.user.get_full_name }}</h1>
                <div class="text-zero top-right-button-container">
                    <button type="button"
                        class="btn btn-lg btn-outline-primary dropdown-toggle dropdown-toggle-split top-right-button top-right-button-single"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Modify Account
                    </button>
                    <div class="dropdown-menu dropdown-menu-right">
                        <a class="dropdown-item" href="{% url 'dashboard:account-profile-edit' request.user.pk %}">Profile</a>
                        <!-- <a class="dropdown-item" href="#">Responsiblities</a> -->
                        <a class="dropdown-item" href="#">Team</a>
                        <a class="dropdown-item" href="#">Member</a>
                    </div>
                </div>
                
                <nav class="breadcrumb-container d-none d-sm-block d-lg-inline-block" aria-label="breadcrumb">
                    <ol class="breadcrumb pt-0">
                        <li class="breadcrumb-item">
                            <a href="{% url 'dashboard:home' %}">Home</a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Account</li>
                    </ol>
                </nav>
            </div>
            <ul class="nav nav-tabs separator-tabs ml-0 mb-5" role="tablist">
                <li class="nav-item">
                    <a class="nav-link active" id="first-tab" data-toggle="tab" href="#first" role="tab"
                        aria-controls="first" aria-selected="true">PROFILE</a>
                </li>

                <li class="nav-item">
                    <a class="nav-link" id="second-tab" data-toggle="tab" href="#second" role="tab"
                        aria-controls="second" aria-selected="false">GALLERY</a>
                </li>

                <li class="nav-item">
                    <a class="nav-link" id="third-tab" data-toggle="tab" href="#third" role="tab" aria-controls="third"
                        aria-selected="false">TEAM</a>
                </li>
            </ul>
            <div class="tab-content">
                <div class="tab-pane show active" id="first" role="tabpanel" aria-labelledby="first-tab">
                    <div class="row">
                        <div class="col-12 mb-5">
                            {% if request.user.profile.picture %}
                                <img class="social-header card-img" src="{{ request.user.profile.cover.url }}" />
                            {% else %}
                                <img class="social-header card-img" src="https://via.placeholder.com/1000" />
                            {% endif %}
                        </div>
                        <div class="col-12 col-lg-5 col-xl-4 col-left">
                            {% if request.user.profile.picture %}
                            <a href="{{ request.user.profile.picture.url }}" class="lightbox">
                                <img alt="Profile" src="{{ request.user.profile.picture.url }}"
                                    class="img-thumbnail card-img social-profile-img">
                            </a>
                            {% else %}
                            <a href="https://via.placeholder.com/500" class="lightbox">
                                <img alt="Profile" src="https://via.placeholder.com/500"
                                    class="img-thumbnail card-img social-profile-img">
                            </a>
                            {% endif %}

                            <div class="card mb-4">
                                <div class="card-body">
                                    <div class="text-center pt-4">
                                        <p class="list-item-heading pt-2">{{ request.user.get_full_name }}</p>
                                    </div>
                                    <p class="mb-3">
                                        {{ request.user.profile.bio }}
                                    </p>

                                    <p class="text-muted text-small mb-2">Location</p>
                                    <p class="mb-3">{{ request.user.profile.location }}</p>

                                    {% comment %}
                                    <p class="text-muted text-small mb-2">Responsibilities</p>
                                    <p class="mb-3">
                                        {% for responsibility in request.user.responsiblities.all %}
                                        <a href="#">
                                            <span
                                                class="badge badge-pill badge-outline-theme-2 mb-1">{{ responsibility.title }}</span>
                                        </a>
                                        {% endfor %}
                                    </p>
                                    {% endcomment %}
                                    <p class="text-muted text-small mb-2">Contact</p>
                                    <div class="social-icons">
                                        <ul class="list-unstyled list-inline">
                                            {% if request.user.profile.facebook %}
                                                <li class="list-inline-item">
                                                    <a target="_blank" href="{{ request.user.profile.facebook }}"><i
                                                            class="simple-icon-social-facebook"></i></a>
                                                </li>
                                            {% endif %}
                                            {% if request.user.profile.twitter %}
                                                <li class="list-inline-item">
                                                    <a target="_blank" href="{{ request.user.profile.twitter }}"><i
                                                            class="simple-icon-social-twitter"></i></a>
                                                </li>
                                            {% endif %}
                                            {% if request.user.profile.instagram %}
                                                <li class="list-inline-item">
                                                    <a target="_blank" href="{{ request.user.profile.instagram }}"><i
                                                            class="simple-icon-social-instagram"></i></a>
                                                </li>
                                            {% endif %}
                                        </ul>
                                    </div>
                                </div>
                            </div>          
                        </div>

                        <div class="col-12 col-lg-7 col-xl-8 col-right">
                            {% for project in shown_project %}
                                <div class="card mb-4">
                                    <div class="card-body">
                                        <div class="d-flex flex-row mb-3">
                                            <a href="#">
                                                <img src="{{ project.application.user.profile.picture.url }}"
                                                    alt="Mayra Sibley"
                                                    class="img-thumbnail border-0 rounded-circle list-thumbnail align-self-center xsmall" />
                                            </a>
                                            <div class="pl-3">
                                                <a href="#">
                                                    <p class="font-weight-medium mb-0 ">{{ project.application.user.get_full_name }}</p>
                                                    <p class="text-muted mb-0 text-small">created at: {{ project.created }}</p>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="position-relative mb-3">
                                            <img src="{{ project.cover.url }}" alt="{{ project.title }}" class="img-fluid">
                                        </div>
                                        <h2>{{ project.title }}</h2>
                                        {{ project.summary|safe }}

                                        
                                    </div>
                                </div>
                            {% endfor %}

                        </div>
                    </div>
                </div>

                <div class="tab-pane fade" id="second" role="tabpanel" aria-labelledby="second-tab">
                    <div class="row">
                        <div class="col-12">
                            <h5 class="mb-4">25 July 2019</h5>
                        </div>
                    </div>
                    <div class="row gallery gallery-page mb-5">
                        <div class="col-6 col-lg-2 col-md-4">
                            <a href="{% static 'assets/dashboard/img/' %}marble-cake.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/marble-cake-thumb.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-2 col-md-4">
                            <a href="{% static 'assets/dashboard/img/' %}parkin.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/parkin-thumb.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-2 col-md-4">
                            <a href="{% static 'assets/dashboard/img/' %}fruitcake.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/fruitcake-thumb.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-2 col-md-4">
                            <a href="{% static 'assets/dashboard/img/' %}tea-loaf.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/tea-loaf-thumb.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-2 col-md-4">
                            <a href="{% static 'assets/dashboard/img/' %}napoleonshat.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/napoleonshat-thumb.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-2 col-md-4">
                            <a href="{% static 'assets/dashboard/img/' %}magdalena.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/magdalena-thumb.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-3 col-md-3">
                            <a href="{% static 'assets/dashboard/img/' %}marble-cake.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/marble-cake.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-3 col-md-3">
                            <a href="{% static 'assets/dashboard/img/' %}parkin.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/parkin.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-3 col-md-3">
                            <a href="{% static 'assets/dashboard/img/' %}fruitcake.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/fruitcake.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-3 col-md-3">
                            <a href="{% static 'assets/dashboard/img/' %}tea-loaf.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/tea-loaf.jpg' %}" />
                            </a>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <h5 class="mb-4">14 April 2019</h5>
                        </div>
                    </div>
                    <div class="row gallery gallery-page mb-5">

                        <div class="col-6 col-lg-2 col-md-4">
                            <a href="{% static 'assets/dashboard/img/' %}magdalena.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/magdalena-thumb.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-2 col-md-4">
                            <a href="{% static 'assets/dashboard/img/' %}napoleonshat.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/napoleonshat-thumb.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-2 col-md-4">
                            <a href="{% static 'assets/dashboard/img/' %}tea-loaf.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/tea-loaf-thumb.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-2 col-md-4">
                            <a href="{% static 'assets/dashboard/img/' %}fruitcake.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/fruitcake-thumb.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-2 col-md-4">
                            <a href="{% static 'assets/dashboard/img/' %}parkin.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/parkin-thumb.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-2 col-md-4">
                            <a href="{% static 'assets/dashboard/img/' %}marble-cake.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/marble-cake-thumb.jpg' %}" />
                            </a>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-12">
                            <h5 class="mb-4">05 March 2019</h5>
                        </div>
                    </div>
                    <div class="row gallery gallery-page mb-5">
                        <div class="col-6 col-lg-3 col-md-3">
                            <a href="{% static 'assets/dashboard/img/' %}parkin.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/parkin.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-3 col-md-3">
                            <a href="{% static 'assets/dashboard/img/' %}fruitcake.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/fruitcake.jpg' %}" />
                            </a>
                        </div>
                        <div class="col-6 col-lg-3 col-md-3">
                            <a href="{% static 'assets/dashboard/img/' %}tea-loaf.jpg">
                                <img class="img-fluid border-radius"
                                    src="{% static 'assets/dashboard/img/tea-loaf.jpg' %}" />
                            </a>
                        </div>
                    </div>
                </div>


                <div class="tab-pane fade" id="third" role="tabpanel" aria-labelledby="third-tab">
                    <div class="row">
                        <div class="col-12 col-md-6 col-lg-4">
                            <div class="card d-flex flex-row mb-4">
                                <a class="d-flex" href="#">
                                    <img alt="Profile" src="{% if user.profile.picture %}{{ user.profile.picture.url }}{% else %}https://via.placeholder.com/1000{% endif %}"
                                        class="img-thumbnail border-0 rounded-circle m-4 list-thumbnail align-self-center">
                                </a>
                                <div class=" d-flex flex-grow-1 min-width-zero">
                                    <div
                                        class="card-body pl-0 align-self-center d-flex flex-column flex-lg-row justify-content-between min-width-zero">
                                        <div class="min-width-zero">
                                            <a href="#">
                                                <p class="list-item-heading mb-1 truncate">{{ user.get_full_name }}</p>
                                            </a>
                                            <p class="mb-2 text-muted text-small">Owner</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {% for member in user.colleagues.all %}
                            <div class="col-12 col-md-6 col-lg-4">
                                <div class="card d-flex flex-row mb-4">
                                    <a class="d-flex" href="#">
                                        <img alt="Profile" src="{% if member.picture %}{{ member.picture.url }}{% else %}https://via.placeholder.com/1000{% endif %}"
                                        class="img-thumbnail border-0 rounded-circle m-4 list-thumbnail align-self-center">
                                    </a>
                                    <div class=" d-flex flex-grow-1 min-width-zero">
                                        <div
                                            class="card-body pl-0 align-self-center d-flex flex-column flex-lg-row justify-content-between min-width-zero">
                                            <div class="min-width-zero">
                                                <a href="#">
                                                    <p class="list-item-heading mb-1 truncate">{{ member.get_full_name }}</p>
                                                </a>
                                                <p class="mb-2 text-muted text-small">{{ member.position }}</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}